<template>
  <div class="contenido">
      <vue-headful title="Hack a Flight | Login" />
    <h1>Login</h1>
    <p v-show="errorMsg">*Tienes campos vacios</p>
<center>
    <input v-model="user" type="text" placeholder="Usuario" id=""><br>
    <input v-model="password" type="text" placeholder="Password" id="">

    </center><br>
    <button @click="loginUser()">Regístrate</button>
  </div>
</template>

<script>
import axios from "axios";
import Swal from "sweetalert2";
import {login} from '../api/utils';

export default {
  /* name: "Login",
  data() {
    return {
      //nombre: "",
      usuario: "",
      contrasena: "",
      email: "",
      createClient: false,
      errorMsg: false
    };
  },
  methods: {
    validatingData() {
      if (
        //this.nombre === "" ||
        this.usuario === "" ||
        this.contrasena === "" ||
        this.email === ""
      ) {
        //alert('No puedes dejar campos vacios')
        this.errorMsg = true;
        this.createClient = false;
      } else {
        this.createClient = true;
        this.errorMsg = false;
        this.addNewClient();
      }
    },
    addNewClient() {
      if (this.createClient === true) {
        var self = this;
        axios
          .post("http://localhost:3308/add", {
            //nombre: self.nombre,
            usuario: self.usuario,
            contrasena: self.contrasena,
            email: self.email
          })
          .then(function(response) {
            console.log(response);
          })
          .catch(function(error) {
            console.log(error);
          });
        Swal.fire("Buena!", "Te has registrado correctamente!", "success");
        this.createClient = false;
        //this.nombre = "";
        this.usuario = "";
        this.contrasena = "";
        this.email = "";
      } else {
        console.log("Yo no debería estar aquí");
      }
    }
  } */
   name: 'Login',
    data(){
        return{
            user: '',
            password: '',
            errorMsg: false
        }
    },
    methods:{
        loginUser(){
            if(this.user ==='' || this.password ===''){
                this.errorMsg=true
            }else{
                login(this.user, this.password)
                Swal.fire({
                icon: 'success',
                title: 'Bienvenido de vuelta',
                showConfirmButton: false,
                timer: 1500
                })
            }
        }
    }

};
</script>

<style scoped>
@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@200&display=swap');

.contenido {
  font-size: 26px;
  font-family: 'Source Sans Pro', sans-serif;
  padding-top: 130px;
  text-align: center;
}

div {
  text-align: center;
}

ul {
  text-align: center;
  list-style: none;
  padding-inline-start: 0px;
}

li {
  line-height: auto;
}

.title {
  grid-area: d;
  text-align: center;
}
.item1 {
  grid-area: a;
  text-align: center;
  padding: 15px;
  background-color: whitesmoke;
}
.item2 {
  grid-area: b;
}
.centrado {
  text-align: center;
  width: 400px;
}

input {  
  font-size: 22px;
  text-align: left;
  padding: 8px;
  display: block;
  border: none;
  border-bottom: 1px solid #ccc;
  width: 400px;
}

button {
  background-color: black;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 24px;
  margin: 4px 2px;
  cursor: pointer;
  margin-bottom: 100px;
}
</style>